package router

import (
	"github.com/gin-gonic/gin"
	"net/http"
	"passport/app/handlers"
)

func StepRouters(r *gin.Engine) {
	r.Use(gin.Logger())
	r.Use(gin.Recovery())
	r.Use(handlers.Cors)

	public := r.Group("/v1")
	public.GET("/ping", func(c *gin.Context) {
		c.JSON(http.StatusOK, "pong")
	})

	//这里是一个通用的认证 只要是登录用户就可以使用的接口 比如文件上传
	authPublic := r.Group("/v1")
	authPublic.Use(handlers.AuthToken())

	// 文件模块
	{
		// 上传文件
		authPublic.POST("/file/upload", handlers.UploadFile)
	}

}
