package config

import (
	"os"

	"github.com/spf13/viper"
)

func init() {
	viper.SetConfigName("passport")
	viper.SetConfigType("yaml")
	viper.AddConfigPath(".")
	viper.AddConfigPath("..")
	viper.AddConfigPath("/etc/passport")
	if err := viper.ReadInConfig(); err != nil {
		panic(err)
	}

	if path := viper.GetString("log.path"); path != "" {
		f, err := os.OpenFile(path, os.O_CREATE|os.O_RDWR|os.O_APPEND, os.ModePerm)
		if err != nil {
			panic(err)
		}
		os.Stdout = f
		os.Stderr = f
	}
}
