package ierr

type Code int

var (
	NotAllowed  Code = 403
	BadRequest  Code = 400
	TokenExpire Code = 40001

	// 通用错误
	InvalidId    Code = 30001  // 无效的id
	InvalidState Code = 300002 // 无效的状态

	// 用户相关
	InvalidUserId Code = 30001 // 无效的用户id

	ParamErr               Code = 41001 //参数错误
	PasswordErr            Code = 41002
	ReceiveRequestFileFail Code = 41003

	CreateDataFail Code = 50001 // 创建数据失败
	DeleteDataFail Code = 50002 // 删除数据失败
	UpdateDataFail Code = 50003 // 更新数据失败
	QueryDataFail  Code = 50004 // 查询数据失败
	CommitTxFail   Code = 50005 // 提交事务失败
	CountDataFail  Code = 50006 // 统计数据失败

	GenerateTokenFailed Code = 50006 //生成token失败

	PhoneNotExists    Code = 40004 //该手机号码不存在
	PasswordError     Code = 40005 //密码错误
	PhoneHasOtherRole Code = 40007 //这个手机已经有别的角色

	// 文件相关
	InvalidFilename Code = 80001 // 无效的文件名
)
